.. _changelog-6-4:

**************************
 MapServer 6.4 Changelog
**************************

.. _changelog-6-4-5:

Changes from 6.4.4 to 6.4.5
===========================

* Security release for CVE-2017-5522
* Fix cluster with WMS dimension issue ( `#5364 <https://github.com/mapserver/mapserver/issues/5364>`__ ) (Tamas Szekeres) : `45b3594 <https://github.com/mapserver/mapserver/commit/45b3594b4379e7bffe3d168ebf7cfa24efcef611>`__

.. _changelog-6-4-4:

Changes from 6.4.3 to 6.4.4
=====================================

* Security release for CVE-2016-9839
* Backport  `#4928 <https://github.com/mapserver/mapserver/issues/4928>`__  and  `#5356 <https://github.com/mapserver/mapserver/issues/5356>`__  (Thomas Bonfort) : `022d24b <https://github.com/mapserver/mapserver/commit/022d24bd34196b6dca67053fb797a6980210bc54>`__
* fix typo on PERCENTAGES in mapfile writer (Thomas Bonfort) : `a0437f8 <https://github.com/mapserver/mapserver/commit/a0437f8c3f1356fbb974f824ac7b3695db71d824>`__
* This patch is to fix the issue "GetCapabilities request is extremely slow when “OWS_LAYER_GROUP” is used" (aabhayas) : `55558b3 <https://github.com/mapserver/mapserver/commit/55558b35cd1cb870cb235da24cf0ef9d9a7e9633>`__

.. _changelog-6-4-3:

Changes from 6.4.2 to 6.4.3
=====================================

* Contour layer: support tileindex and WMS time ( `#5212 <https://github.com/mapserver/mapserver/issues/5212>`__ ) (Even Rouault) : `a752e70 <https://github.com/mapserver/mapserver/commit/a752e7003d161dc5c9e6e7e9ecc91e354948627e>`__
* Fix memory leak when loading FORMATOPTIONS ( `#5149 <https://github.com/mapserver/mapserver/issues/5149>`__ ) (Thomas Bonfort) : `4df5f9f <https://github.com/mapserver/mapserver/commit/4df5f9f11d87078cb853009a26a74a78615b41cc>`__
* Allow empty items in inline features ( `#5182 <https://github.com/mapserver/mapserver/issues/5182>`__ ) (Thomas Bonfort) : `f404adf <https://github.com/mapserver/mapserver/commit/f404adf6ccc9f38d3774b24ffdfedd9aa0edabf9>`__
* Fix mapscript saving of numbers in exp format ( `#5014 <https://github.com/mapserver/mapserver/issues/5014>`__ ) (Thomas Bonfort) : `ed7d3f6 <https://github.com/mapserver/mapserver/commit/ed7d3f63cbed417281864fff66fb568501dd57ac>`__
* Fixed case when drawing legend shapes with style geomtransforms. ( `#5193 <https://github.com/mapserver/mapserver/issues/5193>`__ ) (Steve Lime) : `4f7d463 <https://github.com/mapserver/mapserver/commit/4f7d463d734cc8c6ad4ecd04cc0dca8cd4ffe371>`__
* Fixed label placement computation issue with thin polygons. ( `#5234 <https://github.com/mapserver/mapserver/issues/5234>`__ ) (Steve Lime) : `078a6a3 <https://github.com/mapserver/mapserver/commit/078a6a3dcf652df96acb3759c578d37bdf8bd19d>`__
* Discard labels outside image extent when using masks ( `#5237 <https://github.com/mapserver/mapserver/issues/5237>`__ ) (Thomas Bonfort) : `4196ac3 <https://github.com/mapserver/mapserver/commit/4196ac38b326ef9dfb03dd62712e7f44928c61f2>`__
* SLD: support LayerFeatureConstraints/FeatureTypeConstraint/Filter ( `#4025 <https://github.com/mapserver/mapserver/issues/4025>`__ ) (Even Rouault) : `c391b86 <https://github.com/mapserver/mapserver/commit/c391b86b12ba08e52184e5d14e5d7f2b28c0260d>`__
* Fixed a bug (see  `#5157 <https://github.com/mapserver/mapserver/issues/5157>`__ ) where converting points from pixel to image coordinates with the shpxy tag was happening twice. (Steve Lime) : `c8f813d <https://github.com/mapserver/mapserver/commit/c8f813d43e0e08699d207572cab3a7312b831dc6>`__
* handle the case where include_dirs is set in distutils.cfg (Tomasz Pajor) : `f6805a1 <https://github.com/mapserver/mapserver/commit/f6805a1771e8c2daadb33d07ca0a7dcb940ea342>`__


.. _changelog-6-4-2:

Changes from 6.4.1 to 6.4.2
=====================================

* Prevent XML external entities from being fetched with libxml2 < 2.9.0 (Even Rouault) : `6600f47 <https://github.com/mapserver/mapserver/commit/6600f475495e3d5cd8819fae3490150e8a66404f>`__
* Correcting and harmonizing exceptionCode and locator usage in WCS ( `#4388 <https://github.com/mapserver/mapserver/issues/4388>`__ ). (Stephan Meissl) : `c37b3bc <https://github.com/mapserver/mapserver/commit/c37b3bc66091b84bdfd9259fc8e11d79b91882b3>`__
* Fix builds with Visual Studio 2013 ( `#5059 <https://github.com/mapserver/mapserver/issues/5059>`__ ) (Tamas Szekeres) : `0efde12 <https://github.com/mapserver/mapserver/commit/0efde125bedf154d1dde5fcf21324d930f0fea74>`__
* Fix security exception for the MSVC2010+ compilers ( `#3438 <https://github.com/mapserver/mapserver/issues/3438>`__ ) (Tamas Szekeres) : `ae6806f <https://github.com/mapserver/mapserver/commit/ae6806fcb0fb33a244b3eec14019e7c32d10b21b>`__
* Add support for Oracle Spatial 12.1 ( `#4901 <https://github.com/mapserver/mapserver/issues/4901>`__ ) (Tamas Szekeres) : `d6baeb5 <https://github.com/mapserver/mapserver/commit/d6baeb5b6d2ed5599d50bff143f84a7ae6dc9255>`__
* Added a check to msFreeCharArray() to bail if the array itself is NULL. (Steve Lime) : `278f347 <https://github.com/mapserver/mapserver/commit/278f34747911e093960388ba50a568fff914c9ac>`__
* Added default outputformats which fixes missing default formats when only the ServiceMetadata section is requested. (Fabian Schindler) : `8dab0b6 <https://github.com/mapserver/mapserver/commit/8dab0b617f832170ce18b196e24e417161fc9924>`__
* Update CMakeLists.txt (Jackey Cheung) : `f6c6230 <https://github.com/mapserver/mapserver/commit/f6c62303114219e72fbbdcf4327f1816fbde4b8a>`__
* use execute_process instead of exec_program in FindAPACHE.cmake ( `#4948 <https://github.com/mapserver/mapserver/issues/4948>`__ ) (Ezequiel Lara Gómez) : `644d750 <https://github.com/mapserver/mapserver/commit/644d750edf3a128775c271ec53250a470fa7c768>`__
* Fix postgis installation on travis CI (Thomas Bonfort) : `9207e86 <https://github.com/mapserver/mapserver/commit/9207e8677a10e6847810344c43d1c4351cd7c3a7>`__
* Fixed the typo in resetClassStyle ( `#4971 <https://github.com/mapserver/mapserver/issues/4971>`__ ) (Tamas Szekeres) : `ac1bc49 <https://github.com/mapserver/mapserver/commit/ac1bc492df94670383ed61634789671885e6577a>`__
* Use php://input instead of raw_post_data to support PHP 5.6. (Bas Couwenberg) : `fc99472 <https://github.com/mapserver/mapserver/commit/fc99472b8b2fc837148f71755f23349a71e307bf>`__
* Fix failed assertion with non-existant svg symbols ( `#4899 <https://github.com/mapserver/mapserver/issues/4899>`__ ) (Francois Blackburn) : `83e4ee8 <https://github.com/mapserver/mapserver/commit/83e4ee86a5415644b0ab10472f03cc2d239c6268>`__
* Don't apply scalefactor on legend keyimage ( `#4885 <https://github.com/mapserver/mapserver/issues/4885>`__ ) (Thomas Bonfort) : `7b86158 <https://github.com/mapserver/mapserver/commit/7b861585744c01fabdf374d60a39b2e42f7af5f1>`__
* Fixing a large number of programming errors found by static analysis (Thomas Bonfort) : `55a5688 <https://github.com/mapserver/mapserver/commit/55a568814e701339aa72c3366802ca615a59c64b>`__
* Switch off ogr-output streaming mode for non default io contexts ( `#4858 <https://github.com/mapserver/mapserver/issues/4858>`__ ) (Thomas Bonfort) : `3d174b4 <https://github.com/mapserver/mapserver/commit/3d174b45a2d9809edb674971c3b620ded2d28d50>`__
* Restore lexer file pointer on INCLUDE error ( `#4871 <https://github.com/mapserver/mapserver/issues/4871>`__ ) (Thomas Bonfort) : `74f9382 <https://github.com/mapserver/mapserver/commit/74f93828d4e411c8226da09aefd501ddd39bfa35>`__
* Fix blending of semi-opaque pixels in average and bilinear resamplers ( `#4875 <https://github.com/mapserver/mapserver/issues/4875>`__ ) (Thomas Bonfort) : `fa29db4 <https://github.com/mapserver/mapserver/commit/fa29db4bb2b9a60d46a2c24ab67c48efbb3642f3>`__
* msOGRFileClose: drop useless OGR mutex that could cause a dead-lock with tileindex ( `#4869 <https://github.com/mapserver/mapserver/issues/4869>`__ ) (Even Rouault) : `51f98b0 <https://github.com/mapserver/mapserver/commit/51f98b05aae13d2548fd534f20ff7309d737da89>`__
* Adjusting INSPIRE WMS 1.1.1 capabilities. Fixes  `#4861 <https://github.com/mapserver/mapserver/issues/4861>`__ . (Stephan Meissl) : `b49c847 <https://github.com/mapserver/mapserver/commit/b49c8476f525c6b83b91c3252b9ca9872427a830>`__
* Escape backslashes in the mapfile string writer ( `#4747 <https://github.com/mapserver/mapserver/issues/4747>`__ ) (Tamas Szekeres) : `94ca8b7 <https://github.com/mapserver/mapserver/commit/94ca8b7284aa5196a9389b3168f3d8e6452b0dc5>`__
* add SVG_INCLUDE_DIR so that svg.h is found (cnieman) : `baef2ec <https://github.com/mapserver/mapserver/commit/baef2eca91edc496f50354a3586925af8973d511>`__

.. _changelog-6-4-1:

Changes from 6.4.0 to 6.4.1
=====================================

* Fix potential SQL Injection with postgis TIME filters ( `#4834 <https://github.com/mapserver/mapserver/issues/4834>`__ ) (Even Rouault) : `3a10f6b <https://github.com/mapserver/mapserver/commit/3a10f6b829297dae63492a8c63385044bc6953ed>`__
* Add .bundle suffix to Ruby module on Mac ( `#4826 <https://github.com/mapserver/mapserver/issues/4826>`__ ) (Larry Shaffer) : `5f0a88f <https://github.com/mapserver/mapserver/commit/5f0a88ffa2202334eef5fc49ff3a0fb02f81cd01>`__
* Update cmake modules for Mac (Larry Shaffer) : `30621f8 <https://github.com/mapserver/mapserver/commit/30621f87dbb7b3260775ce21a05ad3da74f32ac8>`__
* Applied (backport) patch for  `#4810 <https://github.com/mapserver/mapserver/issues/4810>`__  to mapfile.c. (Steve Lime) : `21d8aed <https://github.com/mapserver/mapserver/commit/21d8aedc1ed3854667cd29c113b374486fb53d9e>`__
* Allows floating point NoData/NULLVALUEs for floating point images. (George Chang) : `339e007 <https://github.com/mapserver/mapserver/commit/339e007e8a3ce7ca70bdad8c33e06074b0ef5f69>`__
* fix segfault on legends with keyimage ( `#4808 <https://github.com/mapserver/mapserver/issues/4808>`__ ) (Thomas Bonfort) : `bdaf0cc <https://github.com/mapserver/mapserver/commit/bdaf0cce11db95c4b9007556142c8c5b4a30424a>`__
* use version specific postgis force2d function ( `#4803 <https://github.com/mapserver/mapserver/issues/4803>`__ ) (Thomas Bonfort) : `d4d3e22 <https://github.com/mapserver/mapserver/commit/d4d3e2205eeadd3f4b2ad60d803aa7c1836d8dee>`__
* use st_force2d instead of deprecated st_force_2d ( `#4803 <https://github.com/mapserver/mapserver/issues/4803>`__ ) (Thomas Bonfort) : `3a6fa42 <https://github.com/mapserver/mapserver/commit/3a6fa42289cad3596ccb2437167d7de5b0265f75>`__
* Make label expressions consistent with class expressions by allowing them to work off an item (labelitem). (Steve Lime) : `92a1cac <https://github.com/mapserver/mapserver/commit/92a1cac6f2362bae44985ffe0ada77822fa0eb5e>`__
* Fix SLD PerpendicularOffset for lines and labels ( `#4801 <https://github.com/mapserver/mapserver/issues/4801>`__ ) (Thomas Bonfort) : `1d8b68a <https://github.com/mapserver/mapserver/commit/1d8b68afc9b41ba5a76acc4e43c48eb80d224dbb>`__
* Fix ms cmake build (Tamas Szekeres) : `be590fa <https://github.com/mapserver/mapserver/commit/be590fa441fc201253ac9461961527c65fc7c881>`__
* Fix csharp builds for MSVC71 (Tamas Szekeres) : `996fc9d <https://github.com/mapserver/mapserver/commit/996fc9d60dfffccf4e9cfad70ff2e9a4eba8e7d2>`__
* WFS: use correct XSD datatypes in DescribeFeatureType response ( `#4800 <https://github.com/mapserver/mapserver/issues/4800>`__ ) (Even Rouault) : `dd059f5 <https://github.com/mapserver/mapserver/commit/dd059f572ce18a32a7aa995a1c25f35b1e99e9f9>`__
* Fix csharp build issues when doing out-of-source builds (Tamas Szekeres) : `5f1d2b5 <https://github.com/mapserver/mapserver/commit/5f1d2b53dcadf9a55cc1c1e3c08d31bb46ec0b39>`__
* use lib64 instead of lib for installing on select linux systems ( `#4789 <https://github.com/mapserver/mapserver/issues/4789>`__ ) (Thomas Bonfort) : `7de296e <https://github.com/mapserver/mapserver/commit/7de296e4155722969d6b01e22493596c3b5585df>`__
* Don't allow in-source builds, they are a source of confusion (Thomas Bonfort) : `4794f3e <https://github.com/mapserver/mapserver/commit/4794f3e70f98e2b42a453c32541118b050de78fe>`__
* Fix crash on legend icon with offset generation ( `#4790 <https://github.com/mapserver/mapserver/issues/4790>`__ ) (Thomas Bonfort) : `c217944 <https://github.com/mapserver/mapserver/commit/c217944d3f652edd93c6b4eb5da8f544a72ce450>`__
* Fix memory corruption on empty raster query ( `#4778 <https://github.com/mapserver/mapserver/issues/4778>`__ ) (Thomas Bonfort) : `e83a0cb <https://github.com/mapserver/mapserver/commit/e83a0cb57e554884aaf37cbae330602c726d4868>`__
* avoid erroneous hittest results for clipped shapes (Thomas Bonfort) : `eb1971b <https://github.com/mapserver/mapserver/commit/eb1971b8ae7dc5e7a4c6bf5a36850901fd3c3d1a>`__
* Fix ISO C90'ism that causes MSVC compilation error (Even Rouault) : `a7ac6f7 <https://github.com/mapserver/mapserver/commit/a7ac6f750368e6cf8e14c92f1ebe94fbfadb2fd3>`__
* avoid segfault on erroneous mask references ( `#4779 <https://github.com/mapserver/mapserver/issues/4779>`__ ) (Thomas Bonfort) : `8a32f71 <https://github.com/mapserver/mapserver/commit/8a32f71f8cc8ba79c80bc492b04e4ca766a7c4ed>`__
* fix segfault on UVRASTER layers with mask set ( `#4779 <https://github.com/mapserver/mapserver/issues/4779>`__ ) (Thomas Bonfort) : `942e1d7 <https://github.com/mapserver/mapserver/commit/942e1d721fcfbde75a516abf61efcbf737bde827>`__
* Fix A layer using a mask and a label with repeatdistance can crash ( `#4764 <https://github.com/mapserver/mapserver/issues/4764>`__ ) (Alan Boudreault) : `f82d6c8 <https://github.com/mapserver/mapserver/commit/f82d6c8946c91dbeeb38a8a7d5b0aa674f8002b3>`__
* cmake: use pg_config supplied locations if available on PATH (Thomas Bonfort) : `6c29ba6 <https://github.com/mapserver/mapserver/commit/6c29ba69fb045f1b0551327cb01307ef71686428>`__
* Install Ruby mapscript in sitearchdir instead of archdir ( `#4754 <https://github.com/mapserver/mapserver/issues/4754>`__ ) (Bas Couwenberg) : `a70d192 <https://github.com/mapserver/mapserver/commit/a70d19228e82af9b40c423924078684d564f79a9>`__


Changes from 6.2.0 to 6.4.0-beta1
=================================

The summary of major changes for this release can be found in the `HISTORY.TXT <https://github.com/mapserver/mapserver/blob/rel-6-4-0-beta1/HISTORY.TXT>`__
file from the source directory.

* set OCI_THREADED only when mapserver is built with USE_THREADS (Umberto Nicoletti) : `8402cef <https://github.com/mapserver/mapserver/commit/8402cef44f84d6714e2dbc3e844cff963e9ab3e5>`__
* Add OCI_THREADED to OciEnvCreate flags and fix some warning (Umberto Nicoletti) : `b924dc5 <https://github.com/mapserver/mapserver/commit/b924dc5ec132b6618cc91adf11e32158be13074a>`__
* Updated msSDELayerFreeItemInfo() to make sure the layerinfo struct is allocated before freeing. ( `#4521 <https://github.com/mapserver/mapserver/issues/4521>`__ / `#4700 <https://github.com/mapserver/mapserver/issues/4700>`__ ) (Steve Lime) : `fcc56a7 <https://github.com/mapserver/mapserver/commit/fcc56a760fc517a59eea4f7aa0dd77bf79e1acec>`__
* Fixed SDE linking (thanks tbonfort). (Steve Lime) : `f004db1 <https://github.com/mapserver/mapserver/commit/f004db167a7835029b90e6298bb47bdd61811fb8>`__
* Fix Makefile.vc to support the old-style build on Windows (szekerest) : `205216c <https://github.com/mapserver/mapserver/commit/205216c8334de08cd7a89f8cde98f4851272c219>`__
* Add support for using all OGR style parameters ( `#4562 <https://github.com/mapserver/mapserver/issues/4562>`__ ) (szekerest) : `6a0ec7d <https://github.com/mapserver/mapserver/commit/6a0ec7d77b47c1de19b5200dac03df88cc69ef03>`__
* move unnecessary global variables ordinates_tdo, ordinates into the only function where they were used (Umberto Nicoletti) : `e1e319e <https://github.com/mapserver/mapserver/commit/e1e319e3eb1a34eedeb76b5970231734fdd6f7c7>`__
* Add Java mapscript to the test target; Fix a thread safety issue with msWMSGetCapabilities by wrapping it with a lock (Umberto Nicoletti) : `54ef04b <https://github.com/mapserver/mapserver/commit/54ef04bbba208da2971e8b3c2c189cce105e0348>`__
* Fix some typos in AGG code (no idea if they affect us) (Thomas Bonfort) : `9e50089 <https://github.com/mapserver/mapserver/commit/9e50089dbf30d075944cb3a2da90185fc643a4c4>`__
* Fix NULL type shp creation in tile4ms ( `#4259 <https://github.com/mapserver/mapserver/issues/4259>`__ ) (Thomas Bonfort) : `d3ec344 <https://github.com/mapserver/mapserver/commit/d3ec34402591526f2828bc93b1d484ec06ffa472>`__
* update RFC92 cmake instructions ( `#4617 <https://github.com/mapserver/mapserver/issues/4617>`__ ) (Thomas Bonfort) : `1f592f4 <https://github.com/mapserver/mapserver/commit/1f592f467b5769a3ad746816e432db226c7cbcd9>`__
* Fix compiler warning (introduced by cdfecb8469efb882605c3421d7d0fa4eb55a5cce,  `#4720 <https://github.com/mapserver/mapserver/issues/4720>`__ ) (Even Rouault) : `865cabb <https://github.com/mapserver/mapserver/commit/865cabb8b88c40983ec2564cd007bb28d8ed79b3>`__
* Deal with long/int issues when compiling on a 64-bit system. ( `#4521 <https://github.com/mapserver/mapserver/issues/4521>`__ ) (Steve Lime) : `8ce3a2d <https://github.com/mapserver/mapserver/commit/8ce3a2d112b6a7af73309ed584372aa3b2cb885f>`__
* add support for scale-dependant legend rendering ( `#4725 <https://github.com/mapserver/mapserver/issues/4725>`__ ) (Thomas Bonfort) : `50dfe81 <https://github.com/mapserver/mapserver/commit/50dfe810e0cf75a528ee91603a8ae331fe090d7e>`__
* print destination directory in cmake status message (Thomas Bonfort) : `476569c <https://github.com/mapserver/mapserver/commit/476569c8201b9471b0fda6165bc820696646ab2c>`__
* Resolving previously introduced warning. (Stephan Meissl) : `04a51b4 <https://github.com/mapserver/mapserver/commit/04a51b4bba3cd4c51e20cc4548dce7433db0e0e2>`__
* Don't append a second bbox parameter for wfs client requests. (Martin Kofahl) : `da25522 <https://github.com/mapserver/mapserver/commit/da25522f196f93ff0bfee9da09d2d15dbd124812>`__
* Fixup axis order, always include SRS in BBOX parameter and SRSNAME parameter for WFS 1.1 client. (ejn) : `7a5613e <https://github.com/mapserver/mapserver/commit/7a5613e7b6355d5aeb564894d7df5ffca22460f8>`__
* Adjusting exceptionCode in WCS 2.0. (Stephan Meissl) : `bd4693a <https://github.com/mapserver/mapserver/commit/bd4693a7f77da02d01b3c4a4be523d2c3175a3b0>`__
* Fix some warnings (Alan Boudreault) : `7cfa846 <https://github.com/mapserver/mapserver/commit/7cfa846aed22af7ed7556a375761727883475433>`__
* Fixing typo. (Fabian Schindler) : `8c16d51 <https://github.com/mapserver/mapserver/commit/8c16d516af55b69ded6727daa30d65b14b88a1f9>`__
* Directly rendering exception messages during parsing. Wrong 'mediatype' values now produce exceptions. Fixing HTML status codes for various exception types. (Fabian Schindler) : `b420b71 <https://github.com/mapserver/mapserver/commit/b420b71a2692ea0cb9c2dc73e763dc3d77d2dbcf>`__
* Fixing interpretation of return value for `msWCSParseRequest20`. `MS_DONE` now means that the exception has already been written to the IO buffer. (Fabian Schindler) : `5a0869a <https://github.com/mapserver/mapserver/commit/5a0869a4eb0639fc4183d14df4c59581d0955ab0>`__
* Fix Memory leak in UVRaster layers ( `#4706 <https://github.com/mapserver/mapserver/issues/4706>`__ ) (Alan Boudreault) : `728d64d <https://github.com/mapserver/mapserver/commit/728d64dffd3f540d8b7e4eec5c9f39cdcecd7640>`__
* add missing file (Thomas Bonfort) : `167ee0d <https://github.com/mapserver/mapserver/commit/167ee0d58774a28ebaffae5f1cd0cc9cf2c36d19>`__
* refactor SDE detection in cmake files ( `#4512 <https://github.com/mapserver/mapserver/issues/4512>`__ , `#4700 <https://github.com/mapserver/mapserver/issues/4700>`__ ) (Thomas Bonfort) : `b677cf3 <https://github.com/mapserver/mapserver/commit/b677cf34e17686e74f763cad07a6147265efbcac>`__
* Remove parens in CMakeLists.txt that break build process with cmake 2.6. (Steve Lime) : `e94a025 <https://github.com/mapserver/mapserver/commit/e94a02507e1cd31af3592174910e7b471403f317>`__
* Correcting version attribute in WCS exceptions ( `#4717 <https://github.com/mapserver/mapserver/issues/4717>`__ ). (Stephan Meissl) : `8d7380b <https://github.com/mapserver/mapserver/commit/8d7380b0c6c074efc336796f0cedd66d73015f29>`__
* unlink http symbol tmpfile on failed curl request (Thomas Bonfort) : `98ad632 <https://github.com/mapserver/mapserver/commit/98ad63290fef6fae3fff2433984109935ed63eb3>`__
* implement offseted line outlines ( `#4716 <https://github.com/mapserver/mapserver/issues/4716>`__ ) (Thomas Bonfort) : `e498ec4 <https://github.com/mapserver/mapserver/commit/e498ec47edff06a52552f5ae38b407968bc2f7cb>`__
* remove unused circle drawing function (Thomas Bonfort) : `52fd2f9 <https://github.com/mapserver/mapserver/commit/52fd2f980f80e49a0f796d1f59661c4d67cc070d>`__
* refactor/cleanup arc helper function (Thomas Bonfort) : `8501a1e <https://github.com/mapserver/mapserver/commit/8501a1e48563ec71207c1002648d45c070c151ea>`__
* remove Cmake flex and bison, use correct rpath settings (Thomas Bonfort) : `a3b5356 <https://github.com/mapserver/mapserver/commit/a3b5356ac676007890de3fce2998e81234c55740>`__
* typo (Thomas Bonfort) : `aa72034 <https://github.com/mapserver/mapserver/commit/aa720343599a30853d831d68250b3b2d3ed5a23c>`__
* use msIO for cairo output, correct rsvg version check (Thomas Bonfort) : `e658073 <https://github.com/mapserver/mapserver/commit/e658073487e4f453efb3eb69f936a3728a2beb4b>`__
* avoid printing curl error if error message has already been set (Thomas Bonfort) : `7f3e75c <https://github.com/mapserver/mapserver/commit/7f3e75cbc277b19774dc7030b76b92985f9690c6>`__
* fix denials of service in msApplySLD() ( `#4703 <https://github.com/mapserver/mapserver/issues/4703>`__ ) (Thomas Bonfort) : `0294d6a <https://github.com/mapserver/mapserver/commit/0294d6afe36d6bf1476ae31ccb8d79ffa04184ba>`__
* avoid leaking temp file info in error message ( `#4703 <https://github.com/mapserver/mapserver/issues/4703>`__ ) (Thomas Bonfort) : `578424b <https://github.com/mapserver/mapserver/commit/578424b7c37385cbd0b206d436e50526c1c59e24>`__
* Implementation of RFC101 content dependent legend rendering ( `#4713 <https://github.com/mapserver/mapserver/issues/4713>`__ ) (Thomas Bonfort) : `471cdf4 <https://github.com/mapserver/mapserver/commit/471cdf41c6b13a0e5488dbfecc42ad8dbcee2f9c>`__
* remove unused code (Thomas Bonfort) : `4d0e6a5 <https://github.com/mapserver/mapserver/commit/4d0e6a5404fb872777642d1bd3a22461390d314e>`__
* refactor symbol loading, add svg marker lines (Thomas Bonfort) : `741a56d <https://github.com/mapserver/mapserver/commit/741a56d824533ce6bce685fc22922da45eabf271>`__
* Use rsvg as an alternative to libsvg-cairo ( `#4715 <https://github.com/mapserver/mapserver/issues/4715>`__ ) (Thomas Bonfort) : `731178b <https://github.com/mapserver/mapserver/commit/731178b623c27966c68ff9ea6ef971c0187f3855>`__
* add major changes in HISTORY.TXT for 6.4 (Thomas Bonfort) : `58d3737 <https://github.com/mapserver/mapserver/commit/58d3737286af34babc8627047dc1185c7cc2fede>`__
* fix crashes on error'd WCS getcoverage requests ( `#4714 <https://github.com/mapserver/mapserver/issues/4714>`__ ) (Thomas Bonfort) : `7e87f2c <https://github.com/mapserver/mapserver/commit/7e87f2c12562b237cc220c3121129a5db8404059>`__
* avoid rendering symbols with 0 scale ( `#4654 <https://github.com/mapserver/mapserver/issues/4654>`__ ) (Thomas Bonfort) : `e3bd202 <https://github.com/mapserver/mapserver/commit/e3bd202852abaf892cb2d4516f3ff1fd2c9be489>`__
* test for msHTTPAuthProxySetup() return value against MS_SUCCESS (Landry Breuil) : `40dafdc <https://github.com/mapserver/mapserver/commit/40dafdc749d1e91ca6f046e462f109f703eef165>`__
* fix some compiler warnings (Thomas Bonfort) : `e363357 <https://github.com/mapserver/mapserver/commit/e3633571ad4f6bf55a2f7339b5d518542c56f5cf>`__
* add support for SVG symbology in cmake build ( `#4634 <https://github.com/mapserver/mapserver/issues/4634>`__ ) (Thomas Bonfort) : `2c7a605 <https://github.com/mapserver/mapserver/commit/2c7a6059815d1e34c19d7cde0a2626b927397e6a>`__
* variable declaration (Thomas Bonfort) : `24105e2 <https://github.com/mapserver/mapserver/commit/24105e2206b4855a62bf57aab1a5ad4ead3e0f9c>`__
* fix memory crashes in getfeaturinfo requests ( `#4684 <https://github.com/mapserver/mapserver/issues/4684>`__ ) (Thomas Bonfort) : `3b978db <https://github.com/mapserver/mapserver/commit/3b978db1dc4fd9677350e92d62ae296e74367a77>`__
* add cmake support for POSTGIS_HAS_SERVER_VERSION ( `#4675 <https://github.com/mapserver/mapserver/issues/4675>`__ ) (Thomas Bonfort) : `2864ae0 <https://github.com/mapserver/mapserver/commit/2864ae0e6736c1ae694642793e40e5986f643a5a>`__
* Add support for shapefiles with uppercase extension on Linux ( `#4712 <https://github.com/mapserver/mapserver/issues/4712>`__ ) (Even Rouault) : `4e92968 <https://github.com/mapserver/mapserver/commit/4e92968e905f00620e1c9aa4c041c21ced983032>`__
* Disable use of LAYER.TOLERANCE for WFS GetFeature. (Martin Kofahl) : `d2a0cc5 <https://github.com/mapserver/mapserver/commit/d2a0cc579ee35af5a0430de77a89c3c212732be9>`__
* msXmpWrite(): fix use-after-free when a xmp metadata is using an unknown workspace (Even Rouault) : `bb95b90 <https://github.com/mapserver/mapserver/commit/bb95b90a85c063c2efcc8a5d2af612fc8fa76638>`__
* msSaveImageGDAL(): avoid segfault in msXmpPresent() if called with map == NULL (Even Rouault) : `b18cac6 <https://github.com/mapserver/mapserver/commit/b18cac6241d276d662f850699465ba50db0c70c8>`__
* Move the common code handling proxy/auth metadata statements in a single function (Landry Breuil) : `35708af <https://github.com/mapserver/mapserver/commit/35708af38c2d8ffb155c04d0e5c302bccf057301>`__
* Add proxy and auth support to wfs client ( `#3982 <https://github.com/mapserver/mapserver/issues/3982>`__ ) (Landry Breuil) : `9e55278 <https://github.com/mapserver/mapserver/commit/9e552785960326b2d8dab3f59a04cfae14f27bb8>`__
* printed color alpha value in map file (Luigi Pirelli) : `51c7a35 <https://github.com/mapserver/mapserver/commit/51c7a357bd48c23d08e350d45e4d47cf9694b0eb>`__
* SOS: make sure that ows_srs/sos_srs is of the form EPSG: before comparing to query parameter srsName (Even Rouault) : `701ad3c <https://github.com/mapserver/mapserver/commit/701ad3c980a3dbab8e12d9075358fbbe8521f8fc>`__
* solved symbol size trunc bug thanks to tbonfort (Luigi Pirelli) : `cc62353 <https://github.com/mapserver/mapserver/commit/cc62353d3c446a18e1a69d684feea1745ab34b69>`__
* Fix warning about strcasestr being undeclared; remove unused variable (Even Rouault) : `791ca40 <https://github.com/mapserver/mapserver/commit/791ca40f8becfcd6c726032703851689c5a9bb3d>`__
* Use EPSG code instead of PROJ.4 string if possible ( `#4658 <https://github.com/mapserver/mapserver/issues/4658>`__ ) (Guillaume Sueur) : `17034af <https://github.com/mapserver/mapserver/commit/17034af6accec6363cdc6e873889d2bbfd195a84>`__
* Fix comment (Even Rouault) : `395acdb <https://github.com/mapserver/mapserver/commit/395acdb93ea36006d7da55a81d3bc70a1f6fdf21>`__
* Fix warning (Even Rouault) : `fa6acef <https://github.com/mapserver/mapserver/commit/fa6acef998116f04c401bb4bb1942ebb1ee74b7b>`__
* Enable libexempi in Travis (Even Rouault) : `198248a <https://github.com/mapserver/mapserver/commit/198248a6cdfa72a6578d9bf40593881167d647f7>`__
* Fix wrong number of arguments in msSetError() call in USE_EXEMPI case (Even Rouault) : `7172415 <https://github.com/mapserver/mapserver/commit/7172415476e407d2c0cc8f4c76dbf831937a4bdb>`__
* Add compiler flags for warnings (GCC) (Even Rouault) : `5880490 <https://github.com/mapserver/mapserver/commit/588049014246c61c6f1b64309bae01b9c80652e4>`__
* Fix various warnings found by -Wall (mainly linked to functions with variadic arguments) (Even Rouault) : `99d76f0 <https://github.com/mapserver/mapserver/commit/99d76f01f9c4ee43c08006cc4f41e353355c517d>`__
* Fix msContourGetOption() to be able to parse values where no min/maxscaledenom is specified, e.g. PROCESSING 'CONTOUR_INTERVAL=20' ( `#4691 <https://github.com/mapserver/mapserver/issues/4691>`__ ) (Even Rouault) : `c5765a5 <https://github.com/mapserver/mapserver/commit/c5765a5892b21cb716a1bcbad15d3800f00867ff>`__
* Fix compilation error on Windows introduced by 6bafd739f7a4d8ca23ef6013c57618ddce52a4bc (Even Rouault) : `d75372d <https://github.com/mapserver/mapserver/commit/d75372d86256b960fd4f905d0a8c0c0ae81bdc78>`__
* Use appropriate free routine (Even Rouault) : `cf49484 <https://github.com/mapserver/mapserver/commit/cf49484eaeb8acbc64e242522d96d2448a428077>`__
* Fix error message in msInitDefaultOGROutputFormat() (Even Rouault) : `4ec2b26 <https://github.com/mapserver/mapserver/commit/4ec2b262cbd0cbde0df0f5e882d9aa0e841356c4>`__
* remove wrongly repeated '%s' (Even Rouault) : `722be0c <https://github.com/mapserver/mapserver/commit/722be0ce01ca94a7521424989d9ffb2fe30bf959>`__
* Fix use of printf-like functions to avoid warnings; 2 actual error founds (Even Rouault) : `4d83a01 <https://github.com/mapserver/mapserver/commit/4d83a011d488ef1ece30658ade13914e8f5621cb>`__
* Add MS_PRINT_FUNC_FORMAT() macro to be able to decorate printf()-like functions, like msSetError(), msDebug(), msIO_printf(), etc... (Even Rouault) : `77f9b81 <https://github.com/mapserver/mapserver/commit/77f9b811d39156f012eb8bf765a9ffc3e1dbed2c>`__
* Simplify msOGRWriteShape() a bit by using OGR_G_SetPoint_2D() directly to save OGR_G_FlattenTo2D() (Even Rouault) : `dfea815 <https://github.com/mapserver/mapserver/commit/dfea815161e75187b597b94ed324719321c60a86>`__
* Correct test to resolve PROJECTION AUTO in msSHPLayerOpen() is '#if defined(USE_GDAL) || defined(USE_OGR)' (Even Rouault) : `d2bf673 <https://github.com/mapserver/mapserver/commit/d2bf673eaec8a6ee3bc23bb937a0f9be0b654397>`__
* Fixed GDALOpen call parameter and added an error check for GDALContourGenerate call (Alan Boudreault) : `5589896 <https://github.com/mapserver/mapserver/commit/5589896ab652b41a6928727322f3dcf3f99ad959>`__
* Ensure class labels are free'd in cases where label loading fails (Homme Zwaagstra) : `bb9d6df <https://github.com/mapserver/mapserver/commit/bb9d6df783f8de552d485054b285ace97c26be65>`__
* Remove useless orig_tilesrs field in layerObj struct (Even Rouault) : `2f4cb71 <https://github.com/mapserver/mapserver/commit/2f4cb71afcf7a586b995ad25927ed219e2805b76>`__
* Fix regression with rfc14 ( `#4676 <https://github.com/mapserver/mapserver/issues/4676>`__ ) (Alan Boudreault) : `3745e3c <https://github.com/mapserver/mapserver/commit/3745e3c6f959e1da18c15a2b8434f6a00d0ff4b7>`__
* Fix: Using POLYLINE_NO_CLIP with Inline features can result in a seg fault ( `#4676 <https://github.com/mapserver/mapserver/issues/4676>`__ ) (Alan Boudreault) : `6bafd73 <https://github.com/mapserver/mapserver/commit/6bafd739f7a4d8ca23ef6013c57618ddce52a4bc>`__
* Shapefile (vector layers or tileindex): PROJECTION AUTO in a shapefile layer now causes reading the .prj file (Even Rouault) : `e35978e <https://github.com/mapserver/mapserver/commit/e35978e22f28cd62397a3af7434011c3b57a5c7f>`__
* Add support for raster tile index with tiles of mixed SRS (TILESRS keyword) (Even Rouault) : `57012f8 <https://github.com/mapserver/mapserver/commit/57012f820b9c52fee825b37459e453fee99bd63d>`__
* Replace `strlcpy` with `strncpy` in `msIO_stripStdoutBufferContentType()` (Homme Zwaagstra) : `70a8c29 <https://github.com/mapserver/mapserver/commit/70a8c298edb84245321bd0080e21363ecc9a2fb3>`__
* WFS paging parameter startIndex changed to base on 0 (0 is the first feature). See  `#4180 <https://github.com/mapserver/mapserver/issues/4180>`__  for external references. (Martin Kofahl) : `3edd5fd <https://github.com/mapserver/mapserver/commit/3edd5fde69a0da790ce0c6bee0913bc49d53b6cc>`__
* Added bbox_pixel_is_point parameter for WMS GetMap ( `#4652 <https://github.com/mapserver/mapserver/issues/4652>`__ ) (Alan Boudreault) : `f99df0b <https://github.com/mapserver/mapserver/commit/f99df0bb5ad6fb666249c87332cc2fbb5a98cc83>`__
* Implementation of RFC 94: Shape Smoothing. (Alan Boudreault) : `47ed3cf <https://github.com/mapserver/mapserver/commit/47ed3cf91957e3683c855fd811590a6be5506842>`__
* WCS server: fix segfaults (in WCS 1.0.0) when layers in the mapfile have no NAME defined (Even Rouault) : `250ca81 <https://github.com/mapserver/mapserver/commit/250ca818ff8590801b0e018941230ba0513b60e2>`__
* Fix segfault in ms_newMapObjFromString (PHP/MapScript) (Alan Boudreault) : `dc3915d <https://github.com/mapserver/mapserver/commit/dc3915db24d73d00e188c0537476eac6639853a6>`__
* Small fix to shpxy in templates (Jerome Villeneuve Larouche) : `d4df7b0 <https://github.com/mapserver/mapserver/commit/d4df7b059b9f02e09ee5c68f527eb339664da8b4>`__
* Handle Content-Type HTTP headers with a charset appended. (Bas Couwenberg) : `72a9a19 <https://github.com/mapserver/mapserver/commit/72a9a19831c2e434e7beb0fc55acadbfdc26cfd1>`__
* Update symbol references when removing a symbol ( `#4656 <https://github.com/mapserver/mapserver/issues/4656>`__ ) (szekerest) : `ab869ed <https://github.com/mapserver/mapserver/commit/ab869edeb15de16f699822f97b5a794eba8d2ec6>`__
* Resolving  `#4638 <https://github.com/mapserver/mapserver/issues/4638>`__ . (Stephan Meissl) : `937dcb6 <https://github.com/mapserver/mapserver/commit/937dcb6857501835b5489fa4bea321105412a20b>`__
* Fix rendering legend icons for labelpnt and labelpoly geometry transformations ( `#4642 <https://github.com/mapserver/mapserver/issues/4642>`__ ) (szekerest) : `929ed6f <https://github.com/mapserver/mapserver/commit/929ed6fae092dfc532391529e8250659d108081a>`__
* Fixing segfault for POST requests when no content-type is set. See issue  `#4650 <https://github.com/mapserver/mapserver/issues/4650>`__ . (Fabian Schindler) : `cec80bf <https://github.com/mapserver/mapserver/commit/cec80bf80d0fa65ec9dcc977536ffeaa371db0e0>`__
* add EXPRESSION {value1,value2,...} support to parser ( `#4648 <https://github.com/mapserver/mapserver/issues/4648>`__ ) (Thomas Bonfort) : `772dcf2 <https://github.com/mapserver/mapserver/commit/772dcf2d657b6bd74eaa7dd3d0a973bc21dbb31c>`__
* don't round geo-to-pixel transforms for points ( `#4643 <https://github.com/mapserver/mapserver/issues/4643>`__ ) (Thomas Bonfort) : `14d6560 <https://github.com/mapserver/mapserver/commit/14d65603b7c73e8b3254be14eac64f100d0d8d18>`__
* add support for reentrant giflib>=5.0 ( `#4646 <https://github.com/mapserver/mapserver/issues/4646>`__ ) (Thomas Bonfort) : `fe843bf <https://github.com/mapserver/mapserver/commit/fe843bf95c1d070ebb676855fcbba7239ad66e2c>`__
* Clean up the extra class added when rendering pie charts ( `#4645 <https://github.com/mapserver/mapserver/issues/4645>`__ ) (szekerest) : `de78f06 <https://github.com/mapserver/mapserver/commit/de78f0642884251809e496751f216d9ea52b5db7>`__
* Legend icons do not reflect geometry transformations ( `#4642 <https://github.com/mapserver/mapserver/issues/4642>`__ ) (szekerest) : `529b8ce <https://github.com/mapserver/mapserver/commit/529b8ceb210a7ab0eae5c35801acd6227cc105eb>`__
* Fix rendering annotation layers with expressions in legend ( `#4641 <https://github.com/mapserver/mapserver/issues/4641>`__ ) (szekerest) : `40d2372 <https://github.com/mapserver/mapserver/commit/40d2372d9e9d06a140aeef345d5ab02a1ebe95ec>`__
* Legend icons do not reflect geometry transformations ( `#4642 <https://github.com/mapserver/mapserver/issues/4642>`__ ) (szekerest) : `8763f91 <https://github.com/mapserver/mapserver/commit/8763f91ac5de4c26a5c7d05859c8a1deae340ec3>`__
* harmonize 32/64bit behavior when rounding (Thomas Bonfort) : `03eff67 <https://github.com/mapserver/mapserver/commit/03eff6708ab8b6159856c4b26fab3837b0402b52>`__
* The text param of point->draw in php is now optional, no need of strlen(labeltext) in libmapserver ( `#4572 <https://github.com/mapserver/mapserver/issues/4572>`__ ) (Alan Boudreault) : `b8c297c <https://github.com/mapserver/mapserver/commit/b8c297ceb35a824dd21074cb527b5ce78262c32f>`__
* Fix rendering annotation layers with expressions in legend ( `#4641 <https://github.com/mapserver/mapserver/issues/4641>`__ ) (szekerest) : `e992603 <https://github.com/mapserver/mapserver/commit/e9926036542a11572adc08ebe028a8064f87a342>`__
* Added per-label TEXT attribute in xml schema and xsl (closes  `#4639 <https://github.com/mapserver/mapserver/issues/4639>`__ ) (Alan Boudreault) : `1097872 <https://github.com/mapserver/mapserver/commit/1097872f8eccf9bc4a6cbf118dfa629315c6f857>`__
* Updated mapserver.h and HISTORY.TXT for 6-2-1 release. (Steve Lime) : `3b531be <https://github.com/mapserver/mapserver/commit/3b531be271a1a01701e92eb7029d1914df466872>`__
* Move  `#4577 <https://github.com/mapserver/mapserver/issues/4577>`__  fixes out of libmapserver (Thomas Bonfort) : `0fb99fc <https://github.com/mapserver/mapserver/commit/0fb99fce7fb63a267e17f7a2ecd5c85c5e455e3c>`__
* Exposed labelObj.text and labelObj.expression in PHP/MapScript (closes  `#4310 <https://github.com/mapserver/mapserver/issues/4310>`__ ) (Alan Boudreault) : `a58d6bb <https://github.com/mapserver/mapserver/commit/a58d6bbc0c8bbeeaf3ed99f32dd79dcd10d645f5>`__
* Segfault resolved when parsing srsName in WFS spatial filter. (Martin Kofahl) : `3419059 <https://github.com/mapserver/mapserver/commit/34190596959ceb89635d0c1aff5db838101c182a>`__
* Fixed problems found in the mapfile.xsd while trying to convert current mapfiles into xmlmapfiles (Alex Wells) : `41a7343 <https://github.com/mapserver/mapserver/commit/41a73434b055522adcda977447c355944c6c5c26>`__
* Ensure that `msCopyLabel` copies `expression` and `text` directives (Homme Zwaagstra) : `547391d <https://github.com/mapserver/mapserver/commit/547391d91537923e302e57d7e435d29b29ceb03d>`__
* CMAKE: Add zlib to the libraries list when png is added (Tamas Szekeres) : `9551e29 <https://github.com/mapserver/mapserver/commit/9551e291717a4f6cc5fd3b291f701848fe3d9d1e>`__
* OGR WFS output: do not force null integer values to 0 ( `#4633 <https://github.com/mapserver/mapserver/issues/4633>`__ ) (Even Rouault) : `1322298 <https://github.com/mapserver/mapserver/commit/13222986370b69cc6d6edbca624758e7723f57d1>`__
* Fix for WMS requests with width and height of 1 ( `#4629 <https://github.com/mapserver/mapserver/issues/4629>`__ ) (Thomas Bonfort) : `3d37bd8 <https://github.com/mapserver/mapserver/commit/3d37bd8531cab096017dca0c8eb2a23b1b33c549>`__
* OGR WFS output: do not force null integer values to 0 ( `#4633 <https://github.com/mapserver/mapserver/issues/4633>`__ ) (Even Rouault) : `0aeee61 <https://github.com/mapserver/mapserver/commit/0aeee61119a4818f62e83446ef12ec61b6a6bf31>`__
* mapwfs.c: correctly pair CPL allocation routines with CPL free routines (Even Rouault) : `c0f8907 <https://github.com/mapserver/mapserver/commit/c0f89072684b69c7abd13c6f6c3f5c8ffd095624>`__
* Fix segfault in readPostBody when CONTENT_LENGTH environmenet variable is not defined (Even Rouault) : `092c6d7 <https://github.com/mapserver/mapserver/commit/092c6d72d9881bd2de513a152e81514b19bea314>`__
* take into account style min/max scale in legend ( `#4601 <https://github.com/mapserver/mapserver/issues/4601>`__ ) (Thomas Bonfort) : `297fa3e <https://github.com/mapserver/mapserver/commit/297fa3e71ae06b22a05b0b1d14364db74da2c96c>`__
* Parse key value pairs sent in POST body ( `#4627 <https://github.com/mapserver/mapserver/issues/4627>`__ ) (Martin Kofahl) : `307376c <https://github.com/mapserver/mapserver/commit/307376c7df0761c006197a4af13c75ed2fccca04>`__
* Support for CRS URI format http://www.openis.net/gml/srs/epsg.xml#xxx as specified in WFS (ejn) : `a7841c3 <https://github.com/mapserver/mapserver/commit/a7841c39b5c337d7b49f0662cf45afca5c5585b9>`__
* Harmonize functions to parse epsg codes from WFS GetFeature requests and support different variants for expressing epsg codes. (Martin Kofahl) : `b2fd2ee <https://github.com/mapserver/mapserver/commit/b2fd2eed77fa0bf521451dc238a2d14d52487026>`__
* Quick workaround in order to parse POST requests with content-type application/x-www-form-urlencoded same as GET. (Martin Kofahl) : `572aa67 <https://github.com/mapserver/mapserver/commit/572aa67915f7fd171d43f2f1503db93abc75407d>`__
* fix python libpath/includepath when multiple versions are installed (Thomas Bonfort) : `6818282 <https://github.com/mapserver/mapserver/commit/68182822de3491d76fcd29de11643a2f4b4ef7cc>`__
* use ows_schemas_location for sld_capabilities ref ( `#4624 <https://github.com/mapserver/mapserver/issues/4624>`__ ) (Tom Kralidis) : `ccf26b9 <https://github.com/mapserver/mapserver/commit/ccf26b948b726f6f68bfd0e82753613dba1e990c>`__
* adapt legend box to account for polygon outline ( `#4105 <https://github.com/mapserver/mapserver/issues/4105>`__ ) (Thomas Bonfort) : `f87ab84 <https://github.com/mapserver/mapserver/commit/f87ab8446fb7139324753df5bd075b20afffb845>`__
* Don't entity-encode URLs used on attributes: libxml2 does this for us. Refs  `#4622 <https://github.com/mapserver/mapserver/issues/4622>`__  (ejn) : `599ab61 <https://github.com/mapserver/mapserver/commit/599ab619c6debf6e848149690470e03bb3d1e728>`__
* Fix compiler warnings related to  `#4563 <https://github.com/mapserver/mapserver/issues/4563>`__  and  `#4610 <https://github.com/mapserver/mapserver/issues/4610>`__  (Thomas Bonfort) : `51b5549 <https://github.com/mapserver/mapserver/commit/51b55495b446c6b71da33fae40e76e7fbdc003e7>`__
* Fix fontconfig detection for cairo on xquartz ( `#4617 <https://github.com/mapserver/mapserver/issues/4617>`__ ) (Thomas Bonfort) : `70f0eb8 <https://github.com/mapserver/mapserver/commit/70f0eb87c74e68712709e689318d9a6e6a391876>`__
* add cmake build instructions (Thomas Bonfort) : `b0b057e <https://github.com/mapserver/mapserver/commit/b0b057ec5464fdbe9b6475a03710be97c89c3bca>`__
* fix cgi label commands after multi-label changes ( `#4621 <https://github.com/mapserver/mapserver/issues/4621>`__ ) (Thomas Bonfort) : `6e9dec9 <https://github.com/mapserver/mapserver/commit/6e9dec9f2fe59edf3409a345f37be2f6b4c79535>`__
* Fix typo in csharp CMakeLists.txt (Tamas Szekeres) : `50d3dbb <https://github.com/mapserver/mapserver/commit/50d3dbb02f30f57983a50330e20637064b9ed33b>`__
* CMAKE: Fix Oracle finder on Win64 (Tamas Szekeres) : `4e3c9aa <https://github.com/mapserver/mapserver/commit/4e3c9aa770d65d290c98eefddf7f72cc157e044c>`__
* Fix for embedding legend and scalebar if pixel buffer is not supported with the selected output format ( `#4618 <https://github.com/mapserver/mapserver/issues/4618>`__ ) (szekerest) : `bd86c2c <https://github.com/mapserver/mapserver/commit/bd86c2c34befdb510827879f81dfbec18b5254b9>`__
* CMAKE: Add SDE support (Tamas Szekeres) : `551d5f4 <https://github.com/mapserver/mapserver/commit/551d5f48b4f5c3cc7c2bd6710fdd853f0baf269a>`__
* Add cmake ODBC finder (Tamas Szekeres) : `428bed8 <https://github.com/mapserver/mapserver/commit/428bed8517c5ea9f529854d8008ecdc5c8c3fc57>`__
* Add MSSQL2008 plugin, modify Oracle plugin module name (Tamas Szekeres) : `6488ee6 <https://github.com/mapserver/mapserver/commit/6488ee616dbc9587cf5067875316c5e26046252e>`__
* fix typo (Thomas Bonfort) : `95e0e84 <https://github.com/mapserver/mapserver/commit/95e0e846f87da26d4667473bcb425e6dcecf357f>`__
* try building oracle support as a plugin (Thomas Bonfort) : `ccaaf60 <https://github.com/mapserver/mapserver/commit/ccaaf6073c90142667a04fb32b5a1f0c19077a48>`__
* CMAKE: Fix csharp MSVC71 (Tamas Szekeres) : `67f48df <https://github.com/mapserver/mapserver/commit/67f48df483f1bf7875cc6ddcb1206ac8a00b576d>`__
* CMAKE: Change csharpmapscript target name (Tamas Szekeres) : `42b48bc <https://github.com/mapserver/mapserver/commit/42b48bc3284fe5d086a7e941be1634356d0a2dae>`__
* CMAKE CSharp: Escape backslashes (Tamas Szekeres) : `b05989b <https://github.com/mapserver/mapserver/commit/b05989b00c05cd31051e1b9e50630774a0c8bdcf>`__
* CMAKE CSharp: Specify platform target, compile sample apps (Tamas Szekeres) : `cebedd5 <https://github.com/mapserver/mapserver/commit/cebedd50f50b6174303561a16edde7a26ab2eec2>`__
* Add C# CMAKE support, fix various issues, revert ZLIB detection (Tamas Szekeres) : `7337f79 <https://github.com/mapserver/mapserver/commit/7337f798a24b8ebeaa281a51068636816574dd16>`__
* pass custom makefilename to php subcommand (Thomas Bonfort) : `7b52555 <https://github.com/mapserver/mapserver/commit/7b52555f01588e85792a0e9181645131f5539e0c>`__
* ignore additional encodings in received content-type headers ( `#4585 <https://github.com/mapserver/mapserver/issues/4585>`__ ) (Thomas Bonfort) : `484e28c <https://github.com/mapserver/mapserver/commit/484e28c1fc3fd7660d68bb4f0a892397fa5d444a>`__
* Fix problem in parsing POSTed WFS XMLrequest: srsName attribute is on Query element, not on GetFeature element (Ed Nash) : `7ffd405 <https://github.com/mapserver/mapserver/commit/7ffd4052a6ef19d48e107fa9c3731e518c87ff61>`__
* add build dir to ignores (Thomas Bonfort) : `39922c9 <https://github.com/mapserver/mapserver/commit/39922c90c89d8ab5fa0be86b75189e01f89d1548>`__
* Correct wgs84 bbox in WFS GetCapabilties ( `#4499 <https://github.com/mapserver/mapserver/issues/4499>`__ ) (Martin Kofahl) : `23f61d0 <https://github.com/mapserver/mapserver/commit/23f61d009b415b0930fc7ec074ba9d90abe43e94>`__
* Support attribute name aliases for output in text/plain WMS GetFeatureInfo. (Martin Kofahl) : `846dd74 <https://github.com/mapserver/mapserver/commit/846dd74a65a68d8649ceee5a1fa2503362a39c1f>`__
* CMAKE: Add ZLIB detection (Tamas Szekeres) : `1c26865 <https://github.com/mapserver/mapserver/commit/1c2686500aecc07b2a55c6455ad6df7b75fd4642>`__
* Adding first version of automated issue closer. (Stephan Meissl) : `49b6bdc <https://github.com/mapserver/mapserver/commit/49b6bdc56248e516208bb659f8d7057fc66370b6>`__
* CMAKE tweaks (Tamas Szekeres) : `37c4252 <https://github.com/mapserver/mapserver/commit/37c4252cbd1f3c49c4163582383760a31cac1393>`__
* remove unused files after Cmake transition ( `#4617 <https://github.com/mapserver/mapserver/issues/4617>`__ ) (Thomas Bonfort) : `c3deabe <https://github.com/mapserver/mapserver/commit/c3deabe2ffc1f363a6d85540371e13cdcbc9209a>`__
* Fix PHP building when GD is disabled. Closes  `#4550 <https://github.com/mapserver/mapserver/issues/4550>`__  (Thomas Bonfort) : `1665673 <https://github.com/mapserver/mapserver/commit/1665673e5ef133c91dd003fc81c96e0c6a7985d2>`__
* Remove old style CGI runtime substitutions (Homme Zwaagstra) : `0125dd3 <https://github.com/mapserver/mapserver/commit/0125dd3dd7c37b1a69cd122403049f472cc99aab>`__
* Adding support for MultiPoint in filter encoding. (Martin Kofahl) : `afcb21a <https://github.com/mapserver/mapserver/commit/afcb21af371b4eaecf8c120efbbbe64c07e3c93e>`__
* apply scaletoken substitutions in a few corner cases: (Thomas Bonfort) : `9eeecea <https://github.com/mapserver/mapserver/commit/9eeecea8cce80b1462a698f44dd5eef2b6cc9201>`__
* reuse agg stroker for simple and dashed lines (Thomas Bonfort) : `67cd9aa <https://github.com/mapserver/mapserver/commit/67cd9aa7461749cf290e41a5113e12376bc70e92>`__
* Removing the "extent" metadata lookup in msGetGDALGeoTransform() (cf.  `#4611 <https://github.com/mapserver/mapserver/issues/4611>`__ ). (Stephan Meissl) : `bb07e40 <https://github.com/mapserver/mapserver/commit/bb07e407f8c01e9f348950033330b8d404fd5d1d>`__
* disable lrint support for now ( `#4617 <https://github.com/mapserver/mapserver/issues/4617>`__ ) (Thomas Bonfort) : `73ac893 <https://github.com/mapserver/mapserver/commit/73ac893f5a7fe418730d3d7889d8f8ba1c00bf4e>`__
* add USE_GENERIC_MS_NINT support ( `#4617 <https://github.com/mapserver/mapserver/issues/4617>`__ ) (Thomas Bonfort) : `4be6eb6 <https://github.com/mapserver/mapserver/commit/4be6eb605c367ecab823af3c9ac923a377c3c325>`__
* don't build the public api just yet (Thomas Bonfort) : `085071e <https://github.com/mapserver/mapserver/commit/085071ef5cd83333e43a495caeb68c45d08c7a37>`__
* Migration from autotools to cmake (RFC92) ( `#4617 <https://github.com/mapserver/mapserver/issues/4617>`__ ) (Thomas Bonfort) : `45b7dd0 <https://github.com/mapserver/mapserver/commit/45b7dd0d44112f41a04362516ba6406702b50470>`__
* CAIRO renderer fails to render some truetype symbols ( `#4616 <https://github.com/mapserver/mapserver/issues/4616>`__ ) (szekerest) : `65d806d <https://github.com/mapserver/mapserver/commit/65d806dba26a92c8a13350749db19ad563096b74>`__
* Update to reflect the fact that MIGRATION_GUIDE.txt master copy now lives in the mapserver/docs tree. (Daniel Morissette) : `04704b5 <https://github.com/mapserver/mapserver/commit/04704b5d0bb25b3e478b6db772921a089435a1a5>`__
* Initial commit for Contour Layer (Alan Boudreault) : `ac1aa0b <https://github.com/mapserver/mapserver/commit/ac1aa0b489441c75125ee5580b1abe7fdc0f2bec>`__
* Fix mapfile writer to write SVG symbols ( `#4607 <https://github.com/mapserver/mapserver/issues/4607>`__ ) (szekerest) : `86fc175 <https://github.com/mapserver/mapserver/commit/86fc1759f16115a851ffa2c6281828966b2da9e8>`__
* Implement MS RFC 88: Saving MapServer Objects to Strings ( `#4563 <https://github.com/mapserver/mapserver/issues/4563>`__ ) (szekerest) : `ac1c47a <https://github.com/mapserver/mapserver/commit/ac1c47a368e0c80620b3d430daae75faa4e77957>`__
* Enable runtime substitutions using `class` level `validation` blocks ( `#4600 <https://github.com/mapserver/mapserver/issues/4600>`__ ) (Homme Zwaagstra) : `4e79097 <https://github.com/mapserver/mapserver/commit/4e79097f2151ff9291f3c9511422033d6e46a7fa>`__
* Fix issues with wms_layer_group printing ( `#4533 <https://github.com/mapserver/mapserver/issues/4533>`__ ) (szekerest) : `1e38acb <https://github.com/mapserver/mapserver/commit/1e38acb6cbb2cc18b7e1ce8d271431e52a066ad3>`__
* write CLASS validation to mapfile ( `#4596 <https://github.com/mapserver/mapserver/issues/4596>`__ ) (Thomas Bonfort) : `8a60a5a <https://github.com/mapserver/mapserver/commit/8a60a5a56c9d09baec8a370a9361fafb4390074b>`__
* Mark disabled layers as processed to prevent from being displayed in nested groups ( `#4533 <https://github.com/mapserver/mapserver/issues/4533>`__ ) (szekerest) : `0c94a8d <https://github.com/mapserver/mapserver/commit/0c94a8de5f57ab90ab9ddade7b8379b3b577c644>`__
* Implement MS RFC 90 Developed for Faunalia (http://www.faunalia.it) with funding from Regione Toscana - Settore SISTEMA INFORMATIVO TERRITORIALE ED AMBIENTALE". For the project: "Sviluppo strumenti software per il trattamento di dati geografici basati su QuantumGIS e Postgis (CIG 0494241492)" (szekerest) : `3deabf5 <https://github.com/mapserver/mapserver/commit/3deabf5e84c10b09678a099ed76ec3b7498690e3>`__
* don't write GRATICULE connectiontype ( `#4165 <https://github.com/mapserver/mapserver/issues/4165>`__ ) (Thomas Bonfort) : `21f30d2 <https://github.com/mapserver/mapserver/commit/21f30d229d839a51ea95a2e404f127d9facd1abe>`__
* add validation block to copy functions ( `#4596 <https://github.com/mapserver/mapserver/issues/4596>`__ ) (Thomas Bonfort) : `db1ab8d <https://github.com/mapserver/mapserver/commit/db1ab8d2206cf577623a2133d13548cbe63e26a8>`__
* Modified error handling message.. (Alan Boudreault) : `b7579bd <https://github.com/mapserver/mapserver/commit/b7579bdbaff0d4b6d4ddd7ba4de4a03b5026302b>`__
* Reverted change of msStyleSetGeomTransform, not used anymore (Alan Boudreault) : `e6b7a5f <https://github.com/mapserver/mapserver/commit/e6b7a5f7ef5b24722c9aae5551ea715ab65b8f61>`__
* apply scaletoken substitutions to raster draws ( `#4538 <https://github.com/mapserver/mapserver/issues/4538>`__ ) (Thomas Bonfort) : `43221d9 <https://github.com/mapserver/mapserver/commit/43221d9de86ed4337c78b39d38f20c49009431c4>`__
* Fix for the segfault with WMS TIME patterns ( `#3795 <https://github.com/mapserver/mapserver/issues/3795>`__ ) (szekerest) : `a2aed6a <https://github.com/mapserver/mapserver/commit/a2aed6a54392e15beb72cf8aa2de399d1d52cf9e>`__
* Fix for the problem with filter when using WMS TIME parameters ( `#3795 <https://github.com/mapserver/mapserver/issues/3795>`__ ) (szekerest) : `ca33352 <https://github.com/mapserver/mapserver/commit/ca33352d0eb8296d52d59a8271726ac7e8c78639>`__
* Fixing bug that prevents WCS 2.0 Post XML to contain the wcs:Extension element. (Fabian Schindler) : `2b3f02a <https://github.com/mapserver/mapserver/commit/2b3f02a5c8c06ab1a6c6a7ee43c98cb0ef1bd4aa>`__
* Fix for the unsupported geometry type problem ( `#4591 <https://github.com/mapserver/mapserver/issues/4591>`__ ) (szekerest) : `665c2a0 <https://github.com/mapserver/mapserver/commit/665c2a0d40ca84bc0c318d62d151fd36ba729968>`__
* Ensure that `msCopyLabel` copies `expression` and `text` directives (Homme Zwaagstra) : `3320266 <https://github.com/mapserver/mapserver/commit/3320266b3a058dda5be027f58c8365ac316da41c>`__
* Layer GeomTransform should be applied in nextShape and GetShape (Alan Boudreault) : `4701b0a <https://github.com/mapserver/mapserver/commit/4701b0a9cc4d07b0378e3f19f0b51d66d3d12022>`__
* Added MapScript setter/getter for layer geomtransform (Alan Boudreault) : `2993658 <https://github.com/mapserver/mapserver/commit/29936580ff130187ea1366db013d98398a6d04f4>`__
* Some modif to geomtransformshape (Alan Boudreault) : `b3746cf <https://github.com/mapserver/mapserver/commit/b3746cf76bef9de3596c6d214ec82bb62a4b818d>`__
* Fix WMS Time functionality, so preventing DOS situation of big range. (closes  `#4524 <https://github.com/mapserver/mapserver/issues/4524>`__ ) (Alan Boudreault) : `3bed2f4 <https://github.com/mapserver/mapserver/commit/3bed2f43b13c8a979c92ee5f7b358986b1ad161b>`__
* Fix rectObj/shapeObj draw function rendering when setting text property in mapscript (closes  `#4577 <https://github.com/mapserver/mapserver/issues/4577>`__ ) (Alan Boudreault) : `44cfa83 <https://github.com/mapserver/mapserver/commit/44cfa8308e5930a435c0864c37325043eee02010>`__
* Fix rectObj->draw fails to render text in php/mapscript ( `#4577 <https://github.com/mapserver/mapserver/issues/4577>`__ ) (Alan Boudreault) : `3c14a7c <https://github.com/mapserver/mapserver/commit/3c14a7cf385fd4edb18ac5e839d26cb4d1a7b87e>`__
* Fix point->draw() fails when no LABEL defined (closes  `#4572 <https://github.com/mapserver/mapserver/issues/4572>`__ ) (Alan Boudreault) : `e794f67 <https://github.com/mapserver/mapserver/commit/e794f6785ce6b0077e9964565298464d29d933ce>`__
* implementation of geomtransform at the layer level (Alan Boudreault) : `5c2bd2e <https://github.com/mapserver/mapserver/commit/5c2bd2e0f5958ed77e12af87df6927fb30a167ee>`__
* Modify msStyleSetGeomTransform to allow removing the transformation ( `#4580 <https://github.com/mapserver/mapserver/issues/4580>`__ ) (szekerest) : `6295259 <https://github.com/mapserver/mapserver/commit/62952598488293d6393a5f48e8953813a1a01263>`__
* the new getoutputformatOption should strdup values to avoid double-frees (Umberto Nicoletti) : `4a440bd <https://github.com/mapserver/mapserver/commit/4a440bdabbc55ebebbb40ab8ddb04c235901f345>`__
* zero is a valid array index (Umberto Nicoletti) : `9719935 <https://github.com/mapserver/mapserver/commit/9719935b25cc998d6f4da3f1f93559a461985647>`__
* Added Simplify,SimplityPT and Generalize geomtransform (Alan Boudreault) : `c5a2921 <https://github.com/mapserver/mapserver/commit/c5a2921ecefc7c63dad0ea05ae7a9d17980ff7f9>`__
* initial setup for the layer geomtransform implementation (Alan Boudreault) : `9bbbfda <https://github.com/mapserver/mapserver/commit/9bbbfda020143cc4d5d52869856a10a2f6babb55>`__
* Fix drawmode of rectObj->draw method in PHP/MapScript (Alan Boudreault) : `981930c <https://github.com/mapserver/mapserver/commit/981930cab21fb34995a3be4731b50dbe53560129>`__
* Fixed problems found in the mapfile.xsd while trying to convert current mapfiles into xmlmapfiles (Alex Wells) : `192a496 <https://github.com/mapserver/mapserver/commit/192a496e17f4707c6cd29001a35866c617cdd90a>`__
* add missing functions to outputformatObj that allow iterating over the format's OPTIONS  `#4553 <https://github.com/mapserver/mapserver/issues/4553>`__  (Umberto Nicoletti) : `a52c440 <https://github.com/mapserver/mapserver/commit/a52c440dc2ea105f319b3ae44f38c5810e0b05fc>`__
* check refcount is zero before freeing (fix double free in php mapscript) (Umberto Nicoletti) : `a9ffaf8 <https://github.com/mapserver/mapserver/commit/a9ffaf860eed8c51453437501f70be85e9dab91b>`__
* Modified mapfile.c for ticket  `#4568 <https://github.com/mapserver/mapserver/issues/4568>`__ . (Steve Lime) : `dbc929d <https://github.com/mapserver/mapserver/commit/dbc929d5229896ba077e9249c83ed9a64a0f6eec>`__
* initialize outputformat refcount in constructor (Umberto Nicoletti) : `74770a1 <https://github.com/mapserver/mapserver/commit/74770a1f086c361b9d1ff0aef646f2c2268520d4>`__
* rfc24 compliance (Umberto Nicoletti) : `454ca2c <https://github.com/mapserver/mapserver/commit/454ca2c1aa087415d3c271bfd769cf8691cbb209>`__
* proposed implementation (Umberto Nicoletti) : `d059db3 <https://github.com/mapserver/mapserver/commit/d059db31038939e8322cd7071e579ff46dd03a1e>`__
* Reapplied scaledenom fix (Alan Boudreault) : `79ce08c <https://github.com/mapserver/mapserver/commit/79ce08ce1c0c123e1c0031eb3f298b477bb06dc1>`__
* Fix getCapabilities on maps with no layers (Alan Boudreault) : `371e4e7 <https://github.com/mapserver/mapserver/commit/371e4e7c529d354e137b90010da4d5300847ba2e>`__
* Fix handling object ownership in msLoadMapFromString ( `#4551 <https://github.com/mapserver/mapserver/issues/4551>`__ ) (szekerest) : `b24f4d4 <https://github.com/mapserver/mapserver/commit/b24f4d424d4e8904bf31e4fbd60b918ac122b5f0>`__
* Fix offset calculation for line legend icons ( `#2636 <https://github.com/mapserver/mapserver/issues/2636>`__ ) (szekerest) : `1273583 <https://github.com/mapserver/mapserver/commit/1273583bf13732d1cd329318566a5ec24b19803c>`__
* Fix symbolset initialization ( `#4556 <https://github.com/mapserver/mapserver/issues/4556>`__ ) (szekerest) : `5ce74bf <https://github.com/mapserver/mapserver/commit/5ce74bfaa89789d7468fda1973e33f9828b59df5>`__
* Fix mapscript build (szekerest) : `79f839d <https://github.com/mapserver/mapserver/commit/79f839d3044d6928d6d48ffc8f2c81356845d12f>`__
* Fix for the build problem (szekerest) : `00fae3c <https://github.com/mapserver/mapserver/commit/00fae3c249e6bbd7921f218bfe79e8dcfd507681>`__
* Small fix, was in the wrong if (Jerome Villeneuve Larouche) : `7ef4956 <https://github.com/mapserver/mapserver/commit/7ef4956246f9c64d078b756d1de0c1c3faa6feb6>`__
* Fix ScaleDenominator print order for 4529 (Jerome Villeneuve Larouche) : `1c17b3f <https://github.com/mapserver/mapserver/commit/1c17b3f3a94255ed33044179c5c141cf95579a00>`__
* Fix getCapabilities on maps with no layers (Jerome Villeneuve Larouche) : `96dcc8f <https://github.com/mapserver/mapserver/commit/96dcc8f1c7aada6622e43b028d35a888ca7fd4a9>`__
* msWMSGetCapabilities will not only check the MAP but every LAYERS. Fix for 4540 (Jerome Villeneuve Larouche) : `bb4eb38 <https://github.com/mapserver/mapserver/commit/bb4eb38424e99914c270fabfdc06510647b4f493>`__
* Revert "fix order of wms <Style> element in capabilities ( `#4529 <https://github.com/mapserver/mapserver/issues/4529>`__ )" (Thomas Bonfort) : `9ee9dd1 <https://github.com/mapserver/mapserver/commit/9ee9dd1a3a41463df2501a5e4dc69a4c8768b72c>`__
* msWMSGetCapabilities will not only check the MAP but every LAYERS. Fix for 4540 (Jerome Villeneuve Larouche) : `9ed444d <https://github.com/mapserver/mapserver/commit/9ed444d7a7dbc457345ab4063092b926f91d6a5c>`__
* Use thread lock around fribidi calls ( `#4048 <https://github.com/mapserver/mapserver/issues/4048>`__ , `#4044 <https://github.com/mapserver/mapserver/issues/4044>`__ ) (Thomas Bonfort) : `3191642 <https://github.com/mapserver/mapserver/commit/31916420b8de26126453f5beee481df0906f4e2e>`__
* use symbol->sizex if sizey is zero ( `#4497 <https://github.com/mapserver/mapserver/issues/4497>`__ ) (Thomas Bonfort) : `a9e3272 <https://github.com/mapserver/mapserver/commit/a9e3272874894420bc3acdcfc612dff7a732fbeb>`__
* RFC86 implementation ( `#4538 <https://github.com/mapserver/mapserver/issues/4538>`__ ) (Thomas Bonfort) : `93600d2 <https://github.com/mapserver/mapserver/commit/93600d27ababddb002ed78abb5a3a3417647676a>`__
* Don't try to project pixel coordinates ( `#4537 <https://github.com/mapserver/mapserver/issues/4537>`__ ) (Martin Kofahl) : `62c89e8 <https://github.com/mapserver/mapserver/commit/62c89e801c9bdd45037732ceb733180b45d47b1d>`__
* improve __sync_sub_and_fetch detection  `#4231 <https://github.com/mapserver/mapserver/issues/4231>`__  (Umberto Nicoletti) : `cd05f73 <https://github.com/mapserver/mapserver/commit/cd05f738a64e40543703b10906cf6e1b45e46a81>`__
* backported pull request  `#4532 <https://github.com/mapserver/mapserver/issues/4532>`__ : fix for oracle paging bug  `#4417 <https://github.com/mapserver/mapserver/issues/4417>`__  (Umberto Nicoletti) : `fe9e766 <https://github.com/mapserver/mapserver/commit/fe9e766cf070ac343639fb70c12887d73ddaac95>`__
* implementation of masking on wcs coverages ( `#4469 <https://github.com/mapserver/mapserver/issues/4469>`__ ) (Thomas Bonfort) : `237c7a8 <https://github.com/mapserver/mapserver/commit/237c7a8d0f93e38e2f7aa9d0ad43db150126f592>`__
* fix typo (Thomas Bonfort) : `fa40aca <https://github.com/mapserver/mapserver/commit/fa40aca1b34f71b4b9c10ff7a5acd4af1176fe65>`__
* implementation of offsets on follow labels ( `#4399 <https://github.com/mapserver/mapserver/issues/4399>`__ ) (Thomas Bonfort) : `7633072 <https://github.com/mapserver/mapserver/commit/7633072f664bfc6e88bb555f4dbc3d8373a249f4>`__
* suffix php mapscript lib with version number ( `#4525 <https://github.com/mapserver/mapserver/issues/4525>`__ ) (Thomas Bonfort) : `7364f12 <https://github.com/mapserver/mapserver/commit/7364f12a9efc21f8bdfae431356f3e74dda4e364>`__
* fix proj version check ( `#4526 <https://github.com/mapserver/mapserver/issues/4526>`__ ) (Thomas Bonfort) : `b03a914 <https://github.com/mapserver/mapserver/commit/b03a9145a335c2cabc7653a567de2a2f8330b6fe>`__
* fix order of wms <Style> element in capabilities ( `#4529 <https://github.com/mapserver/mapserver/issues/4529>`__ ) (Thomas Bonfort) : `b6abf97 <https://github.com/mapserver/mapserver/commit/b6abf97da8c426fa74cb055405f3b05643c9ebdb>`__
* Remove redundant call to msDebugInitFromEnv ( `#4522 <https://github.com/mapserver/mapserver/issues/4522>`__ ) (Homme Zwaagstra) : `5e3bc56 <https://github.com/mapserver/mapserver/commit/5e3bc561ae9f2e1bd97e75ab1cfe2e2baa270a31>`__
* Fix thread safety issue in msLoadMapFromString ( `#4523 <https://github.com/mapserver/mapserver/issues/4523>`__ ) (Homme Zwaagstra) : `e9e4894 <https://github.com/mapserver/mapserver/commit/e9e48941e9b02378de57a8ad6c6aa0d070816b06>`__
* Fix problems with STYLEITEM ( `#4534 <https://github.com/mapserver/mapserver/issues/4534>`__ ) (szekerest) : `82da39e <https://github.com/mapserver/mapserver/commit/82da39e7a4665ec9459ae1fa89851060f438a232>`__
* applied patch by Benedikt, works for me (Umberto Nicoletti) : `8f66815 <https://github.com/mapserver/mapserver/commit/8f66815e88226dc438689ffb6de4b124c64316e6>`__
* backport patch  `#4231 <https://github.com/mapserver/mapserver/issues/4231>`__  which was left behind due to a mis-git-undertanding (Umberto Nicoletti) : `6d2fe7d <https://github.com/mapserver/mapserver/commit/6d2fe7de10b0c17204df1785737b3dcbf475d972>`__
* Get rid of the warning on missing $excode (szekerest) : `83c1672 <https://github.com/mapserver/mapserver/commit/83c167204bf6dd778cb843d82e4fa355cdfbbeee>`__
* Add C# typemaps for style pattern (szekerest) : `62d5813 <https://github.com/mapserver/mapserver/commit/62d58131336edfbfa96f2b8ef61e17920fdfd77b>`__
* Rolled back bc4ccf09b9450b30a2bfcdbf0fb4ec20cd53fc7c to fix pagination loop issue  `#4508 <https://github.com/mapserver/mapserver/issues/4508>`__  with oracle spatial layers (Umberto Nicoletti) : `2fb006d <https://github.com/mapserver/mapserver/commit/2fb006da6758b5537bcc234583fb4e058d60657a>`__
* Made query string parameter subsitutions case-insensitive. ( `#4511 <https://github.com/mapserver/mapserver/issues/4511>`__ ) (Stephen Lime) : `5d73833 <https://github.com/mapserver/mapserver/commit/5d73833c78496bf91bb54e3f235f0e5fd6a162f2>`__
* correctly detect presence of __sync_and_fetch (Umberto Nicoletti) : `8ac6841 <https://github.com/mapserver/mapserver/commit/8ac6841c4c4857acddd87bdb4dfafb729aea91c3>`__
* s/layer_obj/layerObj for mapscript (Thomas Bonfort) : `4ced0f1 <https://github.com/mapserver/mapserver/commit/4ced0f10de9138f7126a06fd81b2681759238063>`__
* fix for recent swig builds ( `#4325 <https://github.com/mapserver/mapserver/issues/4325>`__ ) (Thomas Bonfort) : `4caf2be <https://github.com/mapserver/mapserver/commit/4caf2bee92a3b2ccbfdb6416c5271acba46ee60c>`__
* add support for GD renderer in raster masking (Thomas Bonfort) : `8f53e69 <https://github.com/mapserver/mapserver/commit/8f53e69a583899f7f389adb65179f793e07e11af>`__
* add mask support for 16bit and rawmode. cleanups (Thomas Bonfort) : `ccc9c72 <https://github.com/mapserver/mapserver/commit/ccc9c72a8dc574dee401e8e35cc1fd8718fa7e60>`__
* tmp commit (Thomas Bonfort) : `14bda1d <https://github.com/mapserver/mapserver/commit/14bda1dd1b24c37baae859024aa7634ee0c162cc>`__
* initial implementation of masking on wcs coverages (Thomas Bonfort) : `717a181 <https://github.com/mapserver/mapserver/commit/717a181080f64f0bd321ff0d5a2c0ca90dc063e6>`__
* add support for GD renderer in raster masking (Thomas Bonfort) : `bd661e1 <https://github.com/mapserver/mapserver/commit/bd661e1dd61b08957aba31bc3a45d9d44d4642e6>`__
* add mask support for 16bit and rawmode. cleanups (Thomas Bonfort) : `428b256 <https://github.com/mapserver/mapserver/commit/428b256340a70ce7ab3a80dfb3686006b9c3536a>`__
* initial implementation of masking on wcs coverages (Thomas Bonfort) : `7581744 <https://github.com/mapserver/mapserver/commit/7581744e01061dc9cac8f05e202e348c299f0402>`__

.. _changelog-6-4-beta2:

Changes from 6.4.0-beta1 to 6.4.0-beta2
=======================================

* Install 'scalebar' and 'legend' executables (Frederic Junod) : `a67bfbe <https://github.com/mapserver/mapserver/commit/a67bfbe19901999107b0e20e90f45908ef3b9814>`__
* Add 'shptreetst' executable to cmake build (Frederic Junod) : `c787390 <https://github.com/mapserver/mapserver/commit/c787390feeca32113f61f04948714dd4dfc2f071>`__
* align parameter not saved ( `#3057 <https://github.com/mapserver/mapserver/issues/3057>`__ ) (szekerest) : `c4a70d7 <https://github.com/mapserver/mapserver/commit/c4a70d763c95e7e607bdcd1fa7045c88e4620e14>`__
* fix doc on cmake separator ( `#4741 <https://github.com/mapserver/mapserver/issues/4741>`__ ) (Thomas Bonfort) : `7482f7a <https://github.com/mapserver/mapserver/commit/7482f7a12d952d3e2b2420355fa898d7b181ad72>`__
* Fix 'separated' spelling (Frederic Junod) : `cbc9683 <https://github.com/mapserver/mapserver/commit/cbc9683b3a3fd07059312583aaa10b267907e711>`__
* restore check for layer->maxfeatures ( `#4730 <https://github.com/mapserver/mapserver/issues/4730>`__ ) (Thomas Bonfort) : `a0ef44a <https://github.com/mapserver/mapserver/commit/a0ef44a7a897b6ab037e3d72f7d6ce6a606e9a74>`__
* Small fix for 4540 in empty maps (Jerome Villeneuve Larouche) : `389f82e <https://github.com/mapserver/mapserver/commit/389f82e4cf53b06e2ee92954583bbcb18739153a>`__
* Use thread safe GEOS API (requires GEOS >= 3.1.0) ( `#4738 <https://github.com/mapserver/mapserver/issues/4738>`__ ) (Thomas Bonfort) : `c626baa <https://github.com/mapserver/mapserver/commit/c626baa266d3ec862087124e405e05b5d2f3b29c>`__
* Adjust exceptionCode in WCS 2.0 ( `#4735 <https://github.com/mapserver/mapserver/issues/4735>`__ ). (Stephan Meissl) : `36e2f74 <https://github.com/mapserver/mapserver/commit/36e2f744cd4c0283c95d1382090ed1a30a6dae6e>`__
* Fix exposing version strings to SWIG mapscript ( `#4734 <https://github.com/mapserver/mapserver/issues/4734>`__ ) (szekerest) : `ed758db <https://github.com/mapserver/mapserver/commit/ed758dbf306ae6b8320051aeaad10ff0891fea4d>`__

.. _changelog-6-4-rc1:

Changes from 6.4.0-beta2 to 6.4.0-rc1
=====================================

* Install Ruby mapscript with CMake (Bas Couwenberg) : `671f251 <https://github.com/mapserver/mapserver/commit/671f25130678e92aa02b85bcc3969fdde31067da>`__
* escape backslashes in mapfile string writer ( `#4747 <https://github.com/mapserver/mapserver/issues/4747>`__) (Thomas Bonfort) : `2505f4e <https://github.com/mapserver/mapserver/commit/2505f4e606ba3c21233b7ceb6dfba4d27258022b>`__
* rename cmake WITH_THREADS to WITH_THREAD_SAFETY (Thomas Bonfort) : `8ca7e15 <https://github.com/mapserver/mapserver/commit/8ca7e157758468a1e057742ac436243c656e8051>`__
* expand clipping rectangle to account for offset ( `#4554 <https://github.com/mapserver/mapserver/issues/4554>`__) (Thomas Bonfort) : `d231a75 <https://github.com/mapserver/mapserver/commit/d231a752b884bccd26eaddec1a27738b3dec2f15>`__

.. _changelog-6-4-0:

Changes from 6.4.0-rc1 to 6.4.0
=====================================

* Fix contour layer drawing fails when the map extent do not overlap with the source data ( `#4753 <https://github.com/mapserver/mapserver/issues/4753>`__ ) (Alan Boudreault) : `0fede4b <https://github.com/mapserver/mapserver/commit/0fede4bf77ebf8e39601cc06c0a5490e0f269639>`__
* Fixed SEGFAULT in contour layer initialization (Alan Boudreault) : `906c8ee <https://github.com/mapserver/mapserver/commit/906c8eea5221988152f8c5d7d36388393d23151f>`__
* Rename WITH_THREADS to WITH_THREAD_SAFETY in INSTALL.CMAKE. (Bas Couwenberg) : `a483d26 <https://github.com/mapserver/mapserver/commit/a483d26f6109d0034b9cdf39c32861c9f1e2fc4a>`__




